Bug 137038 - panasonic digital camera unable to mount with kernel 2.6
panasonic digital camera unable to mount with kernel 2.6
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-25 10:21 EDT by thierry durand
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description thierry durand 2004-10-25 10:21:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7) Gecko/20040616

Description of problem:
with kernel 2.4 the camera was properly assigned to a sda1 device
through the scsi emulation.

It doesn't work anymore since I installed 2.6.7 (doesn't work neither
with 2.6.8 and 2.6.9)

here are the messages when I plugin the camera:

Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
Vendor: MATSHITA  Model: DMC-FZ1           Rev: 0100
Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 124161 512-byte hdwr sectors (64 MB)
sda: Write Protect is off
sda: assuming drive cache: write through
scsi.agent[4227]: Attribute
/sys/devices/pci0000:00/0000:00:03.0/usb1/1-2/1-2:1.0/host0/0:0:0:0/type
does not exist
sda:SCSI error : <0 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 124160
Buffer I/O error on device sda, logical block 124160
SCSI error : <0 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 124160
Buffer I/O error on device sda, logical block 124160
sda1
Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
88 3f 03 05 00 40 ed 9c ed f2 9c ae b4 b0 84 03 e4 11 02 0e 65 00 a0
da af 82 ce 2b 97 6d 4c c4 7f b6 6a b8 40 81 da d8 11 75 11 00 9d 1d
5f 95 67 77 9c ba 0a 7b c0 fd de c6 13 12 e4 60 1d 5e 5f 
0e 65 69 99 32 e0 c0 da be 65 33 3e 8f 28 cd 5e c3 e0 bc c7 
Attached scsi generic sg0 at scsi0, channel 0, id 0, lun 0,  type 0
updfstab: Using deprecated /dev/sg mechanism instead of SG_IO on the
actual device






Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.connect the digital camera to usb
2.put the camera on
3.look at the /var/log/messages to see if it has been attached to an
scsi device
4.mount /dev/sda1 /mnt/photos => no media found
    

Actual Results:  
the camera is not attached to a scsi device

Expected Results:  camera attached properly to a asci device such as sda1
and it's possible to mount it by a simple
mount /dev/sda1 /mnt/photos

Additional info:

I used exactly the same procedure with kernel 2.4.22 (fedora1) and it
was working every times.
Comment 1 Bruno 2004-11-07 07:52:14 EST
same problem. It was working fine with 2.4.x kernel, but with 2.6.x
i've same error messages with dmesg
Comment 2 Dave Jones 2005-07-15 15:08:35 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 21:17:23 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.